From 50d19b0590f3ff69289af1d4267d2ac030e68bec Mon Sep 17 00:00:00 2001
From: YASUOKA Masahiko <yasuoka@yasuoka.net>
Date: Tue, 27 Nov 2012 11:16:29 +0900
Subject: [PATCH] fix checking HAVE_GETADDRINFO

---
 .../patch-lib_replace_libreplace_network_m4        |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)
 create mode 100644 net/samba/patches/patch-lib_replace_libreplace_network_m4

diff --git a/net/samba/patches/patch-lib_replace_libreplace_network_m4 b/net/samba/patches/patch-lib_replace_libreplace_network_m4
new file mode 100644
index 0000000..7f45974
--- /dev/null
+++ b/net/samba/patches/patch-lib_replace_libreplace_network_m4
@@ -0,0 +1,12 @@
+--- lib/replace/libreplace_network.m4.orig	2012-06-25 02:21:16.000000000 +0900
++++ lib/replace/libreplace_network.m4	2012-11-26 13:34:02.000000000 +0900
+@@ -245,6 +245,9 @@ if test x"$libreplace_cv_HAVE_GETADDRINF
+ 			const char hostname3[] = "::";
+ 			hints.ai_socktype = SOCK_STREAM;
+ 			hints.ai_family = AF_UNSPEC;
++		#ifndef AI_ADDRCONFIG
++		#define	AI_ADDRCONFIG 0x0
++		#endif
+ 			hints.ai_flags =
+ 				AI_NUMERICHOST|AI_PASSIVE|AI_ADDRCONFIG;
+ 			/* Test for broken flag combination on AIX. */
-- 
1.7.6

